#include <stdio.h>
#include "../winuser.h"
int _CRcursor(mmachine m)
{ m->pp+=6;return MMpush(m,NIL); }
int _GETcursorSize(mmachine m)
{ m->pp+=0;return MMpush(m,NIL); }
int _SETwinCursor(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _DScursor(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETbuttonCursor(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
int _GETcursorWin(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _GETcursorButton(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SETcursorPos(mmachine m)
{ m->pp+=3;return MMpush(m,NIL); }
int _GETcursorPos(mmachine m)
{ m->pp+=1;return MMpush(m,NIL); }
int _SHOWcursor(mmachine m)
{ m->pp+=2;return MMpush(m,NIL); }
#define NcursorPKG 10
char* cursorname[NcursorPKG]=
{"_CRcursor","_GETcursorSize","_SETwinCursor","_DScursor","_SETbuttonCursor","_GETcursorWin","_GETcursorButton","_SETcursorPos","_GETcursorPos","_SHOWcursor"};
int (*cursorfun[NcursorPKG])(mmachine m)=
{_CRcursor,_GETcursorSize,_SETwinCursor,_DScursor,_SETbuttonCursor,_GETcursorWin,_GETcursorButton,_SETcursorPos,_GETcursorPos,_SHOWcursor};
int cursornarg[NcursorPKG]=
{6,0,2,1,2,1,1,3,1,2};
char* cursortype[NcursorPKG]=
{"fun [Chn ObjBitmap I I I I] ObjCursor","fun [] [I I]","fun [ObjWin ObjCursor] ObjWin","fun [ObjCursor] I","fun [ObjButton ObjCursor] ObjButton","fun [ObjWin] ObjCursor","fun [ObjButton] ObjCursor","fun [ObjWin I I] ObjWin","fun [ObjWin] [I I]","fun [ObjWin I] ObjWin"};
int SCOLloadcursor(mmachine m)
{
return PKhardpak(m,"cursor.pkg",NcursorPKG,cursorname,cursorfun,cursornarg,cursortype);
}
